name: Example Edge-Firewall Relationship
services:
  TextBox:
    name: TextBox
    type: TextBox
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 6f0090c5-6bcf-4081-969a-0cf1d80074d1
        label: TextBox
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"text":true, "config":false,"lock":true,"shape":{"convert-shape":true},"style":true},"label":{"edit":true,"show":true,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-color: '#808080'
            border-style: dashed
            border-width: 0px
            data:
              label: ""
            height: 20.000000000000007px
            textOverlay:
              color: rgb(225,225,225)
              content: 'Edge-Firewall Relationship: Pod to Pod'
              font-size: "64"
            width: 278.940875269347px
            z-index: 1001
          styles: '{"height":"20px","width":"40px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0,"border-color":"#808080"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/credential-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/aws-node-termination-handler-2/white/terminator-white.svg
        position:
          posX: 51.86467813477747
          posY: 215.69054866523413
        whiteboardData: {}
  network-policy-pw:
    name: network-policy-pw
    type: NetworkPolicy
    apiVersion: networking.k8s.io/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: a0471fe9-b0a1-47d6-9ac9-82e17841c19a
        label: Network Policy
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: circle
          styleOverrides: ""
          subCategory: Orchestration & Management
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
        position:
          posX: 59.430264893551765
          posY: 294.365795377521
        whiteboardData:
          style:
            height: 17
            width: 17
            z-index: 1000
  nodegroupinventorywallet-ixlof:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - pod-cs
    traits:
      meshmap:
        edges: []
        id: e8301472-4709-4d29-89f2-c6b5e2e8385e
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 99b28bf6-7ec2-4cda-9e6d-8892e237e366
        position:
          posX: -48.125648683493814
          posY: 292.7577224619567
        whiteboardData: {}
  nodegroupinventorywallet-syspd:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - pod-yr
    traits:
      meshmap:
        edges: []
        id: 61b0a886-5643-4482-824c-11ee4a426f83
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: dc17c4b8-49a7-4e03-8f63-44116c5a03e5
        position:
          posX: 167.77359046898033
          posY: 295.98564092246363
        whiteboardData: {}
  pod-cs:
    name: pod-cs
    type: Pod
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges:
        - data:
            bindingComponent: NetworkPolicy
            id: c186e493-edf1-4f43-a5c6-f1ffdbb7b358
            metadata:
              binded_by: a0471fe9-b0a1-47d6-9ac9-82e17841c19a
            source: 99b28bf6-7ec2-4cda-9e6d-8892e237e366
            subType: Firewall
            target: dc17c4b8-49a7-4e03-8f63-44116c5a03e5
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 99b28bf6-7ec2-4cda-9e6d-8892e237e366
        label: Pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 11
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/pod-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/pod-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/pod-white.svg
        position:
          posX: -48.12564868349381
          posY: 292.7577224619567
        whiteboardData: {}
  pod-yr:
    name: pod-yr
    type: Pod
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges:
        - data:
            bindingComponent: NetworkPolicy
            id: c186e493-edf1-4f43-a5c6-f1ffdbb7b358
            metadata:
              binded_by: a0471fe9-b0a1-47d6-9ac9-82e17841c19a
            source: 99b28bf6-7ec2-4cda-9e6d-8892e237e366
            subType: Firewall
            target: dc17c4b8-49a7-4e03-8f63-44116c5a03e5
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: dc17c4b8-49a7-4e03-8f63-44116c5a03e5
        label: Pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 12
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/pod-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/pod-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/pod-white.svg
        position:
          posX: 167.77359046898033
          posY: 295.98564092246363
        whiteboardData: {}
